# Seedream V4

## seedream-v4-text-to-image

> A new-generation image creation model ByteDance, Seedream 4.0 integrates image generation and image editing capabilities into a single, unified architecture.

````json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"seedream-v4"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/generations":{"post":{"summary":"seedream-v4-text-to-image","deprecated":false,"description":"A new-generation image creation model ByteDance, Seedream 4.0 integrates image generation and image editing capabilities into a single, unified architecture.","tags":["seedream-v4"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"The model name, such as `gpt-image-1`"},"prompt":{"type":"string","description":"The text prompt used to generate the image"},"size":{"type":"object","properties":{"height":{"type":"integer"},"width":{"type":"integer"}},"required":["height","width"],"description":"The size of the generated image. Width and height must be between 1024 and 4096.\n\nPossible enum values: `square_hd`, `square, portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9`, `auto, auto_2K`, `auto_4K`\n\nNote: For custom image sizes, you can pass the width and height as an object:\n```json\n\"image_size\": {\n  \"width\": 1280,\n  \"height\": 720\n}\n```"},"seed":{"type":"integer","description":"Random seed to control the stochasticity of image generation."},"enable_safety_checker":{"type":"boolean","description":"If set to true, the safety checker will be enabled. Default value: `false`","default":false},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1,"minimum":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","default":"url","enum":["url","b64_json"]}},"required":["prompt","model"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
````
